Package org.jbpm.process.instance

## Interface ProcessInstance

- All Superinterfaces:
    `ContextableInstance`, `ContextInstanceContainer`, `org.kie.api.runtime.process.EventListener`, `org.kie.api.runtime.process.ProcessInstance`
  All Known Subinterfaces:
    `WorkflowProcessInstance`
  All Known Implementing Classes:
    `ProcessInstanceImpl`, `RuleFlowProcessInstance`, `WorkflowProcessInstanceImpl`

      public interface ProcessInstance
      extends org.kie.api.runtime.process.ProcessInstance, ContextInstanceContainer, ContextableInstance

  A process instance is the representation of a process during its execution. It contains all the runtime status information about the running process. A process can have multiple instances.

- - ### Field Summary

    - ### Fields inherited from interface org.kie.api.runtime.process.ProcessInstance

      `SLA_ABORTED, SLA_MET, SLA_NA, SLA_PENDING, SLA_VIOLATED, STATE_ABORTED, STATE_ACTIVE, STATE_COMPLETED, STATE_PENDING, STATE_SUSPENDED`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `configureSLA()` |
    `org.kie.api.runtime.rule.AgendaFilter` | `getAgendaFilter()` |
    `String` | `getDeploymentId()` |
    `Object` | `getFaultData()` |
    `org.drools.core.common.InternalKnowledgeRuntime` | `getKnowledgeRuntime()` |
    `Map<String,​Object>` | `getMetaData()` |
    `String` | `getOutcome()` |
    `org.kie.api.definition.process.Process` | `getProcess()` |
    `int` | `getSlaCompliance()` |
    `Date` | `getSlaDueDate()` |
    `Date` | `getStartDate()` |
    `boolean` | `isSignalCompletion()` |
    `void` | `setAgendaFilter​(org.kie.api.runtime.rule.AgendaFilter agendaFilter)` |
    `void` | `setDeploymentId​(String deploymentId)` |
    `void` | `setId​(long id)` |
    `void` | `setKnowledgeRuntime​(org.drools.core.common.InternalKnowledgeRuntime kruntime)` |
    `void` | `setParentProcessInstanceId​(long parentId)` |
    `void` | `setProcess​(org.kie.api.definition.process.Process process)` |
    `void` | `setSignalCompletion​(boolean signalCompletion)` |
    `void` | `setState​(int state)` |
    `void` | `setState​(int state, String outcome)` |
    `void` | `setState​(int state, String outcome, Object faultData)` |
    `void` | `start()` |
    `void` | `start​(String tigger)` |

    - ### Methods inherited from interface org.jbpm.process.instance.ContextableInstance

      `getContextInstance`

    - ### Methods inherited from interface org.jbpm.process.instance.ContextInstanceContainer

      `addContextInstance, getContextContainer, getContextInstance, getContextInstance, getContextInstances, removeContextInstance`

    - ### Methods inherited from interface org.kie.api.runtime.process.EventListener

      `getEventTypes, signalEvent`

    - ### Methods inherited from interface org.kie.api.runtime.process.ProcessInstance

      `getId, getParentProcessInstanceId, getProcessId, getProcessName, getState`

- - ### Method Detail

    - #### setId

          void setId​(long id)

    - #### setProcess

          void setProcess​(org.kie.api.definition.process.Process process)

    - #### getProcess

          org.kie.api.definition.process.Process getProcess()

      Specified by:
        `getProcess` in interface `org.kie.api.runtime.process.ProcessInstance`

    - #### setState

          void setState​(int state)

    - #### setState

          void setState​(int state,
                        String outcome)

    - #### setState

          void setState​(int state,
                        String outcome,
                        Object faultData)

    - #### setKnowledgeRuntime

          void setKnowledgeRuntime​(org.drools.core.common.InternalKnowledgeRuntime kruntime)

    - #### getKnowledgeRuntime

          org.drools.core.common.InternalKnowledgeRuntime getKnowledgeRuntime()

    - #### start

          void start()

    - #### start

          void start​(String tigger)

    - #### getOutcome

          String getOutcome()

    - #### setParentProcessInstanceId

          void setParentProcessInstanceId​(long parentId)

    - #### getMetaData

          Map<String,​Object> getMetaData()

    - #### getFaultData

          Object getFaultData()

    - #### setSignalCompletion

          void setSignalCompletion​(boolean signalCompletion)

    - #### isSignalCompletion

          boolean isSignalCompletion()

    - #### getDeploymentId

          String getDeploymentId()

    - #### setDeploymentId

          void setDeploymentId​(String deploymentId)

    - #### getStartDate

          Date getStartDate()

    - #### getSlaCompliance

          int getSlaCompliance()

    - #### getSlaDueDate

          Date getSlaDueDate()

    - #### configureSLA

          void configureSLA()

    - #### getAgendaFilter

          org.kie.api.runtime.rule.AgendaFilter getAgendaFilter()

    - #### setAgendaFilter

          void setAgendaFilter​(org.kie.api.runtime.rule.AgendaFilter agendaFilter)